Bug 27839 - koha-worker missing tab-completion in bash
Summary: koha-worker missing tab-completion in bash
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 22417
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-02 18:17 UTC by Tomás Cohen Arazi
Modified: 2021-04-25 14:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 27839: Add tab-completion in bash for koha-worker (2.37 KB, patch)
2021-03-02 19:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27839: (follow-up) Update docs for koha-worker (3.56 KB, patch)
2021-03-02 19:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27839: Add tab-completion in bash for koha-worker (2.42 KB, patch)
2021-03-03 10:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 27839: (follow-up) Update docs for koha-worker (3.61 KB, patch)
2021-03-03 10:18 UTC, David Nind
Details | Diff | Splinter Review
Bug 27839: Add tab-completion in bash for koha-worker (2.49 KB, patch)
2021-04-09 17:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27839: (follow-up) Update docs for koha-worker (3.68 KB, patch)
2021-04-09 17:50 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-03-02 18:17:56 UTC
There's no entry for koha-worker in koha-common.bash-completion
Comment 1 Tomás Cohen Arazi 2021-03-02 19:36:13 UTC
Created attachment 117549 [details] [review]
Bug 27839: Add tab-completion in bash for koha-worker

This patch simply adds tab-completion for this script.

To test:
1. Apply this patch
2. Run:
   $ cp debian/koha-common.bash-completion  /etc/bash_completion.d/koha-common
3. Open a new bash instance
4. Type 'koha-worker <tab>'
=> SUCCESS: All options are there
5. Play with Koha instances
=> SUCCESS: they show up, once chosen they are not offered anymore
6. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2021-03-02 19:36:16 UTC
Created attachment 117550 [details] [review]
Bug 27839: (follow-up) Update docs for koha-worker

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 David Nind 2021-03-03 10:18:25 UTC
Created attachment 117557 [details] [review]
Bug 27839: Add tab-completion in bash for koha-worker

This patch simply adds tab-completion for this script.

To test:
1. Apply this patch
2. Run:
   $ cp debian/koha-common.bash-completion  /etc/bash_completion.d/koha-common
3. Open a new bash instance
4. Type 'koha-worker <tab>'
=> SUCCESS: All options are there
5. Play with Koha instances
=> SUCCESS: they show up, once chosen they are not offered anymore
6. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2021-03-03 10:18:29 UTC
Created attachment 117558 [details] [review]
Bug 27839: (follow-up) Update docs for koha-worker

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Kyle M Hall 2021-04-09 17:50:35 UTC
Created attachment 119426 [details] [review]
Bug 27839: Add tab-completion in bash for koha-worker

This patch simply adds tab-completion for this script.

To test:
1. Apply this patch
2. Run:
   $ cp debian/koha-common.bash-completion  /etc/bash_completion.d/koha-common
3. Open a new bash instance
4. Type 'koha-worker <tab>'
=> SUCCESS: All options are there
5. Play with Koha instances
=> SUCCESS: they show up, once chosen they are not offered anymore
6. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2021-04-09 17:50:47 UTC
Created attachment 119427 [details] [review]
Bug 27839: (follow-up) Update docs for koha-worker

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2021-04-12 13:32:40 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 8 Fridolin Somers 2021-04-19 12:49:23 UTC
Small useful enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.05
Comment 9 Andrew Fuerste-Henry 2021-04-25 14:58:48 UTC
Enhancement, not backported to 20.05